<book xmlns:xi="http://www.w3.org/2003/XInclude" fileref='index.xml'>
  <title>TclXML</title>
  <bookinfo>
    <revhistory>
      <revision>
	<revnumber>2.21</revnumber>
	<date>2005-11-04</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>TclXML, TclDOM and TclXSLT v3.1 announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.20</revnumber>
	<date>2005-04-26</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Added Safe-XML page.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.19</revnumber>
	<date>2004-12-21</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>tkxmllint, tkxsltproc v1.7 announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.18</revnumber>
	<date>2004-09-02</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>tkxmllint, tkxsltproc v1.6 announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.17</revnumber>
	<date>20040712</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>TclXML, TclDOM and TclXSLT v3.0 announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.16</revnumber>
	<date>20040625</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>tkxmllint, tkxsltproc v1.4 announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.15</revnumber>
	<date>20040226</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>TclXML, TclDOM and TclXSLT v3.0b2 announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.14</revnumber>
	<date>20031222</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>TclXML combo v3.0b1, tkxmllint, tkxsltproc 1.3.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.13</revnumber>
	<date>20031215</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>TclXML, TclDOM and TclXSLT v3.0b1 announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.12</revnumber>
	<date>20031015</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>tkxmllint 1.2 announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.11</revnumber>
	<date>20030923</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>tkxmllint, tkxsltproc 1.1b1 announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.10</revnumber>
	<date>20030819</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Version 3.0rc1 announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.9.1</revnumber>
	<date>20020310</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Added combo distribution information.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.9</revnumber>
	<date>20020310</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Version 2.6 release announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.8</revnumber>
	<date>20030221</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Added tkxmllint and tkxsltproc.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.7</revnumber>
	<date>20021210</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Version 2.5 release announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.6</revnumber>
	<date>20021110</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Added TclDOM, TclXSLT version 2.4 release announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.5</revnumber>
	<date>20021030</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Added TclXML version 2.4 release announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.4</revnumber>
	<date>20020914</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Added TclXML, TclDOM and TclXSLT version 2.3 release announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.3</revnumber>
	<date>20020812</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Added xmlgen 1.3, TclDOM 2.2 and TclXSLT 2.2 release announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.2</revnumber>
	<date>20020528</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Added xmlgen release announcement.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.1</revnumber>
	<date>20020301</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Added TclDOM 2.1a1 and TclXSLT v1.1 release announcements.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>2.0</revnumber>
	<date>20011203</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Converted to DocBook</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.0</revnumber>
	<date>2000????</date>
	<authorinitials>Daniel</authorinitials>
	<revremark>
	  <para>Initial HTML version (introduction.html)</para>
	</revremark>
      </revision>
    </revhistory>
    <highlights>
      <simpara>
        <ulink url='http://sourceforge.net'>
	  <inlinemediaobject>
	    <imageobject>
	      <imagedata fileref="http://sourceforge.net/sflogo.php?group_id=13178&amp;type=1" width="88" height="31"/>
	    </imageobject>
	    <textobject>
	      <phrase>
	        <ulink url='http://sourceforge.net/'>SourceForge Home</ulink>
	      </phrase>
	    </textobject>
	  </inlinemediaobject>
	</ulink>
        <ulink url='http://tcl.activestate.com/'>
	  <inlinemediaobject>
	    <imageobject>
	      <imagedata fileref="images/tclp.gif"/>
	    </imageobject>
	    <textobject>
	      <phrase>
	        <ulink url='http://tcl.activestate.com/'>Tcl/Tk Home</ulink>
	      </phrase>
	    </textobject>
	  </inlinemediaobject>
	</ulink>
      </simpara>
    </highlights>
  </bookinfo>

  <blockquote>
    <simpara><emphasis>NEW!</emphasis> <ulink url='tclxml.html'>TclXML</ulink>, <ulink url='tcldom.html'>TclDOM</ulink> and <ulink url='tclxslt.html'>TclXSLT</ulink> Version 3.1 are now available.  4th November 2005.</simpara>
    <simpara>Application Releases: <ulink url='tkxmllint.html'>tkxmllint 1.7</ulink>, <ulink url='tkxsltproc.html'>tkxsltproc 1.7</ulink>.  4th December 2004.</simpara>
  </blockquote>

  <para>The <ulink url="http://tclxml.sourceforge.net">TclXML</ulink> project is a collection of tools and libraries for handling XML documents with the <ulink url="http://tcl.activestate.com/">Tcl</ulink> scripting language.  It has Tcl, C based XML parsers, DOM interfaces and XSLT.  Steve Ball, from <ulink url="http://www.zveno.com/">Zveno</ulink> is the original author.  All of the packages released by the TclXML project are open source and a number of developers contribute and help maintain them.  <ulink url="http://www.sourceforge.net/">SourceForge</ulink> provides infrastructure and hosting services (CVS, mailing lists, etc.).</para>

  <para>Two applications are available to take the hassle out of processing XML: <ulink url='tkxmllint.html'>tkxmllint</ulink> and <ulink url='tkxsltproc.html'>tkxsltproc</ulink>.  These are GUI equivalents of <ulink url='http://xmlsoft.org/'>libxml/libxslt</ulink>'s xmllint and xsltproc, respectively.</para>

  <xi:include href="tclxml.xml"/>
  <xi:include href="tcldom.xml"/>
  <xi:include href="tclxslt.xml"/>
  <xi:include href="combo.xml"/>
  <xi:include href="tkxmllint.xml"/>
  <xi:include href="tkxsltproc.xml"/>
  <xi:include href="tcltidy.xml"/>
  <xi:include href="xmlgen.xml"/>

  <xi:include href="success.xml"/>

  <!-- Add new subprojects here -->

  <appendix>
    <title>Package Numbering</title>

    <para>Starting with version 2.3, the version numbers of the TclXML, TclDOM and TclXSLT packages have been synchronised.  From now on, these three packages will be released together, and testing is performed on same numbered distributions.  The same version number of the packages should be installed.</para>

    <para>In other words, if you install mismatching packages then there is no guarantee that they will work properly.</para>
  </appendix>

  <appendix>
    <title>More About Tcl and XML</title>

    <para>The <ulink url="http://tcl.activestate.com/">Tcl Developers eXchange</ulink> has lots of information about the Tcl scripting language.</para>

    <para>For more information about XML go to <ulink url='http://www.zveno.com/resources/'>Zveno's XML Resources</ulink> page.</para>
  </appendix>

</book>
